Subject: Re: linux-next: build failure after merge of the mfd tree

From: Andy Shevchenko <[email-masked]>
Date: Tue, 04 Apr 2017 15:31:15 +0300

On Tue, 2017-04-04 at 09:21 +0100, Lee Jones wrote:
> On Tue, 04 Apr 2017, Lee Jones wrote:
> 
> > On Tue, 04 Apr 2017, Stephen Rothwell wrote:
> > 
> > > Hi Lee,
> > > 
> > > After merging the mfd tree, today's linux-next build (powerpc
> > > allyesconfig) failed like this:
> > > 
> > > /home/sfr/next/next/drivers/mfd/intel_soc_pmic_bxtwc.c:25:31:
> > > fatal error: asm/intel_pmc_ipc.h: No such file or directory
> > > 
> > > Caused by commit
> > > 
> > >   eb2a445f7d8f ("mfd: intel_soc_pmic: Fix a mess with compilation
> > > units")
> > > 
> > > I have reverted that commit for today.
> > 
> > Andy,
> > 
> > I'm pulling this commit.  Despite you thinking the error is
> > unrelated
> > to your patch, something is clearly wrong and I don't have time to
> > investigate.
> > 
> > Ball is in your court.
> 
> Okay, I've had a *very* quick looks.

> Seems as if you should be depending on INTEL_PMC_IPC.

As a quick fix, yes. As a proper fix the PMC/SCU mess should be fixed in
a way to provide a header in include/platform_data/x86.

I will prepare v4.
Thanks.

-- 
Andy Shevchenko <[email-masked]>
Intel Finland Oy